Module jdk.jshell
Package jdk.jshell

## Class SourceCodeAnalysis.QualifiedNames

- java.lang.Object
- - jdk.jshell.SourceCodeAnalysis.QualifiedNames

Enclosing class:
  SourceCodeAnalysis

    public static final class SourceCodeAnalysis.QualifiedNames
    extends Object

List of possible qualified names.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getNames()` Known qualified names for the given simple name in the original code.
`int` `getSimpleNameLength()` The length of the simple name in the original code for which the qualified names where gathered.
`boolean` `isResolvable()` Indicates whether the given simple name in the original code refers to a resolvable element.
`boolean` `isUpToDate()` Indicates whether the result is based on up-to-date data.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getNames

    public List<String> getNames()

Known qualified names for the given simple name in the original code.

Returns:
  known qualified names

#### getSimpleNameLength

    public int getSimpleNameLength()

The length of the simple name in the original code for which the qualified names where gathered.

Returns:
  the length of the simple name; -1 if there is no name immediately left to the cursor for which the candidates could be computed

#### isUpToDate

    public boolean isUpToDate()

Indicates whether the result is based on up-to-date data. The `listQualifiedNames` method may return before the classpath is fully inspected, in which case this method will return `false`. If the result is based on a fully inspected classpath, this method will return `true`.

Returns:
  `true` if the result is based on up-to-date data; otherwise `false`

#### isResolvable

    public boolean isResolvable()

Indicates whether the given simple name in the original code refers to a resolvable element.

Returns:
  `true` if the given simple name in the original code refers to a resolvable element; otherwise `false`